#define FCY 29480000UL			// clock frequency: 29.48 MHz
#include "p30f3012.h"
#include <libpic30.h>
#include <stdio.h>
#include "fpu.h"

// set configuration bits
_FOSC(CSW_FSCM_OFF & FRC_PLL16);
_FWDT(WDT_OFF);

int main (void)
{
	char	c;

	// UART setup
	__C30_UART = 1;				// select UART1 for stdio
	U1BRG = 95;					// 19,200 baud @ 29.48 MHz
	U1MODEbits.ALTIO = 1;		// alternate I/O port
	U1MODEbits.UARTEN = 1;		// enable UART
			
	printf("\r\n\r\nC30 Test\r\n");
	if (fpu_reset() == SYNC_CHAR)
		print_version();
	else
		printf("failed");

	c = 'Z';
	while(1)
	{
		if (++c > 'Z') c = 'A';		
		putchar(c);
		__delay_ms(100);			
		__delay_ms(100);			
		__delay_ms(100);			
		__delay_ms(100);			
		__delay_ms(100);			
	}

	return 0;
}
